Subject: Re: bug#19328: [PATCH] Add mechanism to prompt about unsaved customizations

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Dec 2014 21:36:15 -0500

> I don't have an exceedingly strong opinion but FWIW I sat down to hack
> this out after seeing a friend and Emacs newbie spend quite a while
> customizing faces for visibility and then lose it all at quit time.
> Then I found the same request in the TODO file and it seemed worth
> doing.  Obviously that's highly anecdotal, but I can imagine it being a
> common problem.

Oh yes, I'm quite aware of this problem, which is why I think this
feature is very nice and that's also why I'm saying that I'm not
necessarily opposed to enabling it by default.

But I'd like to some opinion from people who've actually tried it.

Many Emacs users can have very strong reactions to very small changes in
the default behavior.  The potential benefit justifies a bit of
potential annoyance, and I think I can evaluate the potential benefit,
but I don't think I can evaluate the potential annoyance yet.

        Stefan